<Project Sdk="Microsoft.NET.Sdk.Razor">

    <PropertyGroup>
        <TargetFramework>net10.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
    </PropertyGroup>


    <ItemGroup>
        <SupportedPlatform Include="browser"/>
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="Microsoft.AspNetCore.Components.Web" Version="10.0.0"/>
        <PackageReference Include="MudBlazor" Version="8.0.0"/>
        <PackageReference Include="Microsoft.AspNetCore.WebUtilities" Version="10.0.0" />
        <PackageReference Include="Microsoft.Extensions.Http" Version="10.0.0" />
        <PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" Version="10.0.0" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\DiunaBI.Application\DiunaBI.Application.csproj" />
    </ItemGroup>

    <ItemGroup>
      <Folder Include="Interfaces\" />
      <Folder Include="wwwroot\" />
    </ItemGroup>
</Project>
